GeoTools

OSGeo

Sunday, August 21, 2011

Current work on the gt-swing module

The gt-swing module, which provides GUI widgets for GeoTools applications, is in transition. This is a technical term for broken - but broken with a mission: gt-swing module is being overhauled to become a fully supported GeoTools module.

What does this mean ?

Well, right now it means that if you want to run any of our tutorial applications you will need to use GeoTools version 8-SNAPSHOT. This is the development version which is updated daily. We wouldn't normally inflict this on those new to the library, but at the moment it is the only way you will get the tutorials to work.

What else does it mean ?

A better gt-swing module with lots of new features, better documentation and easier to understand code. In particular, the JMapPane and JMapFrame classes have been largely re-written and there is a new JLayeredMapPane class to make it easier to do animations and custom graphics over a map display.

When ?

Real Soon Now. Much of the work has already been completed. See the GeoTools issues reporter for a summary.

GeoTools has been so good to me I really want to help: what can I do ?

To date, we've only had enough people-power to work on the trunk sources in the GeoTools code repository (version 8-SNAPSHOT). We are looking for volunteers to help get the gt-swing module working again on the GeoTools stable branch (version 2.7). If you can help, please sing out on the user list. We will like you a lot.

No comments:

Post a Comment